petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSetMatrixPreallocateOnly

When DMCreateMatrix() is called the matrix will be properly preallocated but the nonzero structure and zero values will not be set.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetMatrixPreallocateOnly(DM dm, PetscBool only)

Logically Collective on dm

### Input Parameter

| dm | - the DM
| only | - PETSC_TRUE if only want preallocation

### See Also

DMCreateMatrix(), DMSetMatrixStructureOnly()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages